// FMod_TCP_BOX_Test.h : main header file for the FMOD_TCP_TEST application
//

#if !defined(AFX_FMOD_TCP_BOX_TEST_H__7ACD9561_B837_464B_8851_58873F52203A__INCLUDED_)
#define AFX_FMOD_TCP_BOX_TEST_H__7ACD9561_B837_464B_8851_58873F52203A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
/******************************************************************************/
/******************************************************************************/

//  FiveCo        Innovative Engineering

//  Switzerland                     2006

/******************************************************************************/
/******************************************************************************/

#include "FMod_TCP_BOX_TestDlg.h"

#include "FMod_TCP_BOX_DLLInterface.h"

/////////////////////////////////////////////////////////////////////////////
// CFMod_TCP_BOX_TestApp:
// See FMod_TCP_BOX_Test.cpp for the implementation of this class
//

class CFMod_TCP_BOX_TestApp : public CWinApp
{
public:
	CFMod_TCP_BOX_TestApp();

	// Ptr on the dialog
	CFMod_TCP_BOX_TestDlg *dlgPtr;

	// pointer on communications
	void *ComID_MAIN, *ComID_RS232;

	// RS232 buffer
	unsigned char DataRS232_Receive[1000];
	unsigned char DataRS232_Send[200];


	// Variable to mesure time between to received data
    LARGE_INTEGER Time1, Time2, Frequency;
    int Cpt;
    float Val;



// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFMod_TCP_BOX_TestApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CFMod_TCP_BOX_TestApp)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

extern CFMod_TCP_BOX_TestApp theApp;

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FMOD_TCP_BOX_TEST_H__7ACD9561_B837_464B_8851_58873F52203A__INCLUDED_)
