/******************************************************************************/
/******************************************************************************/

//  FiveCo        Innovative Engineering

//  Switzerland                     2006

/******************************************************************************/
/******************************************************************************/

// FMod_TCP_BOX_TestDlg.cpp : implementation file
//

#include <windows.h>
#include <stdio.h>
#include "stdafx.h"

#include <shlwapi.h>

#include "FMod_TCP_BOX_Test.h"
#include "FMod_TCP_BOX_TestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFMod_TCP_BOX_TestDlg dialog

CFMod_TCP_BOX_TestDlg::CFMod_TCP_BOX_TestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFMod_TCP_BOX_TestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFMod_TCP_BOX_TestDlg)
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

CFMod_TCP_BOX_TestDlg::~CFMod_TCP_BOX_TestDlg()
{
	
}

void CFMod_TCP_BOX_TestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFMod_TCP_BOX_TestDlg)
	DDX_Control(pDX, IDC_STATERS232COM, m_StateRS232_Control);
	DDX_Control(pDX, IDC_DATARECRS232, m_DataRecRS232_Control);
	DDX_Control(pDX, IDC_ADDRESS4COMRS232, m_Add4RS232_Control);
	DDX_Control(pDX, IDC_ADDRESS3COMRS232, m_Add3RS232_Control);
	DDX_Control(pDX, IDC_ADDRESS2COMRS232, m_Add2RS232_Control);
	DDX_Control(pDX, IDC_ADDRESS1COMRS232, m_Add1RS232_Control);
	DDX_Control(pDX, IDC_NEWADDRESS2, m_NewAdd2_Control);
	DDX_Control(pDX, IDC_STATEGENERAL, m_StateGeneral_Control);
	DDX_Control(pDX, IDC_NEWADDRESS4, m_NewAdd4_Control);
	DDX_Control(pDX, IDC_NEWADDRESS3, m_NewAdd3_Control);
	DDX_Control(pDX, IDC_NEWADDRESS1, m_NewAdd1_Control);
	DDX_Control(pDX, IDC_TIMEREPETVAL, m_TimeRepetVal_Control);
	DDX_Control(pDX, IDC_TIMEREPET, m_TimeRepet_Control);
	DDX_Control(pDX, IDC_DATARECMAIN, m_DataRecMain_Control);
	DDX_Control(pDX, IDC_STATEMAINCOM, m_StateMain_Control);
	DDX_Control(pDX, IDC_ADDRESS4COMMAIN, m_Add4Main_Control);
	DDX_Control(pDX, IDC_ADDRESS3COMMAIN, m_Add3Main_Control);
	DDX_Control(pDX, IDC_ADDRESS2COMMAIN, m_Add2Main_Control);
	DDX_Control(pDX, IDC_ADDRESS1COMMAIN, m_Add1Main_Control);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFMod_TCP_BOX_TestDlg, CDialog)
	//{{AFX_MSG_MAP(CFMod_TCP_BOX_TestDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDSTARTREADCONTINOUS, OnStartreadcontinous)
	ON_BN_CLICKED(IDSTOPREADCONTINOUS, OnStopreadcontinous)
	ON_BN_CLICKED(IDOPENMAIN, OnOpenmain)
	ON_BN_CLICKED(IDCLOSEMAIN, OnClosemain)
	ON_BN_CLICKED(ID_SENDREAD, OnSendread)
	ON_BN_CLICKED(ID_SENDWRITE, OnSendwrite)
	ON_BN_CLICKED(ID_SENDRW, OnSendrw)
	ON_BN_CLICKED(ID_SENDI2C, OnSendi2c)
	ON_BN_CLICKED(IDC_SETTIMEREPET, OnSettimerepet)
	ON_BN_CLICKED(IDC_SCANNETWORK, OnScannetwork)
	ON_BN_CLICKED(IDC_CHANGEADD, OnChangeadd)
	ON_BN_CLICKED(IDOPENRS232, OnOpenrs232)
	ON_BN_CLICKED(IDCLOSERS232, OnClosers232)
	ON_BN_CLICKED(IDSENDRS232, OnSendrs232)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFMod_TCP_BOX_TestDlg message handlers

BOOL CFMod_TCP_BOX_TestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	m_Add1Main_Control.SetWindowText("192");
	m_Add2Main_Control.SetWindowText("168");
	m_Add3Main_Control.SetWindowText("16");
	m_Add4Main_Control.SetWindowText("101");

	m_TimeRepet_Control.SetWindowText("100");
	

	m_Add1RS232_Control.SetWindowText("192");
	m_Add2RS232_Control.SetWindowText("168");
	m_Add3RS232_Control.SetWindowText("16");
	m_Add4RS232_Control.SetWindowText("101");

	m_NewAdd1_Control.SetWindowText("192");
	m_NewAdd2_Control.SetWindowText("168");
	m_NewAdd3_Control.SetWindowText("16");
	m_NewAdd4_Control.SetWindowText("100");

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CFMod_TCP_BOX_TestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

HCURSOR CFMod_TCP_BOX_TestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}




/***************************************************************************/
/***************************************************************************/
//		EVENT FUNCTIONS
/***************************************************************************/
/***************************************************************************/

//---------------------------------------------------------------------------
//		Event Function data received Main Port
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::Data_Received_MAINPORT(FMod_SRegisterListRead *RegList, void *ComID)
{
	CString strTemp, strAdd, strTCPTime, strRepet, strTime;

	
	// check wich value has been updated
	if(RegList->INPUTS_Read)
    {
        // Get the time between 2 receive data to evaluate Repetitve ask precision
        QueryPerformanceCounter(&theApp.Time2);

        // Display result in [ms]
        if(++theApp.Cpt >= 100)
        {
            theApp.Val = 1000*((theApp.Time2.QuadPart - theApp.Time1.QuadPart)/(float)theApp.Frequency.QuadPart);
            
			strTime.Format("%f", theApp.Val);

			theApp.dlgPtr->m_TimeRepetVal_Control.SetWindowText(strTime);

            theApp.Cpt=0;
        }

        QueryPerformanceCounter(&theApp.Time1);
    }

	strTemp = "";

	if(RegList->IPADDRESS_Read)
	{
		strAdd.Format("IPADDRESS = %d.%d.%d.%d\r\n", RegList->IPADDRESS[0], RegList->IPADDRESS[1]
												,RegList->IPADDRESS[2], RegList->IPADDRESS[3]);

		strTemp += strAdd;
	}


    if(RegList->TCPTIMEOUT_Read)
	{
		strTCPTime.Format("TCPTIMEOUT = %d\r\n", RegList->TCPTIMEOUT);

		strTemp += strTCPTime;
	}
  
    if(RegList->TCPTIMEOUT_Written)
	{
		strTemp += "TCPTIMEOUT Written";
	}

	if(strTemp != "")
		theApp.dlgPtr->m_DataRecMain_Control.SetWindowText(strTemp);

}
//---------------------------------------------------------------------------
//		Event Function Communication Event for the MAINPORT
//---------------------------------------------------------------------------
void  CFMod_TCP_BOX_TestDlg::Com_Event_MAIN(int State, void *ComID)
{
	switch(State)
	{
	case State_Closed:
			theApp.dlgPtr->m_StateMain_Control.SetWindowText("Communication Closed");
		break;
	case State_Opened:
			theApp.dlgPtr->m_StateMain_Control.SetWindowText("Communication Opened");
		break;
	case State_Error:
			theApp.dlgPtr->m_StateMain_Control.SetWindowText("Communication Error");
		break;
		
	}
}
//---------------------------------------------------------------------------
//		Event Function data received RS232 Port
//---------------------------------------------------------------------------
void  CFMod_TCP_BOX_TestDlg::Data_Received_RS232(int NbByte, void *ComID)
{
	int Length = 1000;

	CString StrTemp = "";
	// The received data will be in the DataRS232_Receive Buffer.
	// Length parameter : [IN] Size of the Buffer, [OUT] Nb byte written in the Buffer
		
	FMod_TCP_BOX_GetData_RS232(theApp.DataRS232_Receive, &Length, theApp.ComID_RS232);

	for(int i=0; i<Length; i++)
		StrTemp += theApp.DataRS232_Receive[i];

	theApp.dlgPtr->m_DataRecRS232_Control.SetWindowText(StrTemp);
}

//---------------------------------------------------------------------------
//		Event Function Communication Event for the RS232PORT
//---------------------------------------------------------------------------
void  CFMod_TCP_BOX_TestDlg::Com_Event_RS232(int State, void *ComID)
{
	switch(State)
	{
	case State_Closed:
			theApp.dlgPtr->m_StateRS232_Control.SetWindowText("Communication Closed");
		break;
	case State_Opened:
			theApp.dlgPtr->m_StateRS232_Control.SetWindowText("Communication Opened");
		break;
	case State_Error:
			theApp.dlgPtr->m_StateRS232_Control.SetWindowText("Communication Error");
		break;
		
	}
}
/***************************************************************************/
/***************************************************************************/
//		Dialog Functions MAIN PORT
/***************************************************************************/
/***************************************************************************/
//---------------------------------------------------------------------------
//		Open and Close communication MAIN PORT
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnOpenmain() 
{
	char IPAddStr[4][4];
	int IPAdd[4];

	m_Add1Main_Control.GetWindowText((char*)IPAddStr[0], 4);
	m_Add2Main_Control.GetWindowText((char*)IPAddStr[1], 4);
	m_Add3Main_Control.GetWindowText((char*)IPAddStr[2], 4);
	m_Add4Main_Control.GetWindowText((char*)IPAddStr[3], 4);
	
	IPAdd[0] = StrToInt(IPAddStr[0]);
	IPAdd[1] = StrToInt(IPAddStr[1]);
	IPAdd[2] = StrToInt(IPAddStr[2]);
	IPAdd[3] = StrToInt(IPAddStr[3]);
	

	if(!FMod_TCP_BOX_OpenConnection_MAINPORT(IPAdd, Data_Received_MAINPORT, Com_Event_MAIN, &theApp.ComID_MAIN))
		m_StateMain_Control.SetWindowText("Open failed");
}
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnClosemain() 
{
	FMod_TCP_BOX_CloseConnection(&theApp.ComID_MAIN);
}
//---------------------------------------------------------------------------
//		Read Register
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnSendread() 
{
	// Set wich register will be Read
    FMod_TCP_BOX_Read_IPADDRESS(theApp.ComID_MAIN);
    FMod_TCP_BOX_Read_TCPTIMEOUT(theApp.ComID_MAIN);

    // Send data to the connected module
    FMod_TCP_BOX_SendData_MAINPORT(theApp.ComID_MAIN);
	
}
//---------------------------------------------------------------------------
//		Write Register
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnSendwrite() 
{
	// Set wich register will be written
    FMod_TCP_BOX_Write_TCPTIMEOUT(50, theApp.ComID_MAIN);

    // Send data to the connected module
    FMod_TCP_BOX_SendData_MAINPORT(theApp.ComID_MAIN);
	
}
//---------------------------------------------------------------------------
//		Read & Write Register
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnSendrw() 
{
	// Set wich register will be Read and written
    FMod_TCP_BOX_Read_IPADDRESS(theApp.ComID_MAIN);
    FMod_TCP_BOX_Write_TCPTIMEOUT(30, theApp.ComID_MAIN);

    // Send data to the connected module
    FMod_TCP_BOX_SendData_MAINPORT(theApp.ComID_MAIN);
	
}
//---------------------------------------------------------------------------
//		Send I2C data
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnSendi2c() 
{
	// Makes the I2C Buffer
    unsigned char BufI2C[180];

    BufI2C[0] = 0x78;
    BufI2C[1] = 0x01;
    BufI2C[2] = 0x00;
    BufI2C[3] = 0x04;

    // Set I2C Register data to send
    FMod_TCP_BOX_ReadWriteI2C(BufI2C, 4, false, 200, theApp.ComID_MAIN);

    // Send data to the connected module
    FMod_TCP_BOX_SendData_MAINPORT(theApp.ComID_MAIN);
	
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
//      Repetitive Ask Functions
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
//		Read IO Value 0 register
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnStartreadcontinous() 
{
	// First reset the repetitve ask values
    FMod_TCP_BOX_RepetitiveAskReset(theApp.ComID_MAIN);

    // Read IOVALUE0 in continuous
    FMod_TCP_BOX_Read_INPUTS(true, theApp.ComID_MAIN);

    // Start the repetitive ask
    FMod_TCP_BOX_RepetitiveAskStart(theApp.ComID_MAIN);	
}
//---------------------------------------------------------------------------
//		Stop repetitive Ask
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnStopreadcontinous() 
{
	// Stop Repetitive ask
	FMod_TCP_BOX_RepetitiveAskStop(theApp.ComID_MAIN);	
}
//---------------------------------------------------------------------------
//		Set time of repetition
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnSettimerepet() 
{
	char TimeChar[6];
	
	m_TimeRepet_Control.GetWindowText((char*)TimeChar, 6);
	
	// Set the time of repetition
    FMod_TCP_BOX_RepetitiveAskSetTime(StrToInt(TimeChar), theApp.ComID_MAIN);
	
}

/***************************************************************************/
/***************************************************************************/
//		Dialog Functions RS232 PORT
/***************************************************************************/
/***************************************************************************/

//---------------------------------------------------------------------------
//		Open and Close communication RS232 PORT
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnOpenrs232() 
{
		char IPAddStr[4][4];
	int IPAdd[4];

	m_Add1RS232_Control.GetWindowText((char*)IPAddStr[0], 4);
	m_Add2RS232_Control.GetWindowText((char*)IPAddStr[1], 4);
	m_Add3RS232_Control.GetWindowText((char*)IPAddStr[2], 4);
	m_Add4RS232_Control.GetWindowText((char*)IPAddStr[3], 4);
	
	IPAdd[0] = StrToInt(IPAddStr[0]);
	IPAdd[1] = StrToInt(IPAddStr[1]);
	IPAdd[2] = StrToInt(IPAddStr[2]);
	IPAdd[3] = StrToInt(IPAddStr[3]);

	FMod_TCP_BOX_OpenConnection_RS232(IPAdd, Data_Received_RS232, Com_Event_RS232, &theApp.ComID_RS232);
		m_StateRS232_Control.SetWindowText("Open failed");
	
}
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnClosers232() 
{
	FMod_TCP_BOX_CloseConnection(&theApp.ComID_RS232);	
}

//---------------------------------------------------------------------------
//		Send data on RS232 PORT
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnSendrs232() 
{
	unsigned char Buffer[5] = "1234";

    FMod_TCP_BOX_SendData_RS232(Buffer, 4, theApp.ComID_RS232);	
}

/***************************************************************************/
/***************************************************************************/
//		GENERAL Functions
/***************************************************************************/
/***************************************************************************/

//---------------------------------------------------------------------------
//		Scan Network
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnScannetwork() 
{
	CString TempStr;
	
	FMod_SModule ModuleList[10];

	int NbModule = FMod_TCP_BOX_ScanNetwork(ModuleList, 10);

	TempStr.Format("%d Module found", NbModule);

	m_StateGeneral_Control.SetWindowText(TempStr);
}
//---------------------------------------------------------------------------
//		Change IP Address
//---------------------------------------------------------------------------
void CFMod_TCP_BOX_TestDlg::OnChangeadd() 
{	
	int Mac[6] =  {0x00, 0x50, 0xC2, 0x30, 0x87, 0x00};
	int Mask[4] = {255, 255, 0, 0};

	char IPAddStr[4][4];
	int IPAdd[4];

	m_NewAdd1_Control.GetWindowText((char*)IPAddStr[0], 4);
	m_NewAdd2_Control.GetWindowText((char*)IPAddStr[1], 4);
	m_NewAdd3_Control.GetWindowText((char*)IPAddStr[2], 4);
	m_NewAdd4_Control.GetWindowText((char*)IPAddStr[3], 4);
	
	IPAdd[0] = StrToInt(IPAddStr[0]);
	IPAdd[1] = StrToInt(IPAddStr[1]);
	IPAdd[2] = StrToInt(IPAddStr[2]);
	IPAdd[3] = StrToInt(IPAddStr[3]);
    

    if(!FMod_TCP_BOX_ChangeIPAddress(Mac, IPAdd, Mask))
		m_StateGeneral_Control.SetWindowText("ChangeIPAddress failed");
    else
        m_StateGeneral_Control.SetWindowText("ChangeIPAddress success");
	
}



